Bug 787348 - Incorrect iptables command
Incorrect iptables command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Deployment Guide (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Athene Chan
ecs-bugs
: EasyFix, Reopened
Depends On:
Blocks: sat54-docs 824235
  Show dependency treegraph
 
Reported: 2012-02-04 05:02 EST by Pavel Zhukov
Modified: 2015-05-11 18:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 01:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2012-02-04 05:02:46 EST
In 6.8.1.2.3.2. IPTables Configuration
Now:
/sbin/iptables -A INPUT -m state --state NEW -m tcp -p udp --dport 25150 -j ACCEPT

Should be:
/sbin/iptables -A INPUT -m state --state NEW -m udp -p udp --dport 25150 -j ACCEPT
Comment 2 Pavel Zhukov 2012-05-24 01:25:18 EDT
Why worksforme???

You SHOULD NOT mix TCP module (-m tcp) and protocol UDP (-p udp) in the rule. 

Output:
WRONG:
$ sudo /sbin/iptables -A INPUT -m state --state NEW -m tcp -p udp --dport 25150 -j ACCEPT 

RIGHT:
iptables: Invalid argument. Run `dmesg' for more information.
$ sudo /sbin/iptables -A INPUT -m state --state NEW -m tcp -p tcp --dport 25150 -j ACCEPT
Comment 3 Pavel Zhukov 2012-05-24 01:30:29 EDT
I'm sorry:
Output:
WRONG:
$ sudo /sbin/iptables -A INPUT -m state --state NEW -m tcp -p udp --dport 25150 -j ACCEPT 
iptables: Invalid argument. Run `dmesg' for more information.

RIGHT:
$ sudo /sbin/iptables -A INPUT -m state --state NEW -m tcp -p tcp --dport 25150 -j ACCEPT
Comment 4 Athene Chan 2012-05-24 18:53:18 EDT
Hello Pavel,

My apologies. I accidentally set my comment to private. I've pasted my previous comments below:


============================

Hello Pavel,

The deployment guide has been deprecated and was recycled into the Getting Started Guide/Reference Guide/User Guide.

These errors have been resolved in the Reference Guide in both 5.4 and 5.5.

Should you find other discrepancies, please feel free to create a new ticket. Thank you!

============================

I hope this resolves your concern.

Regards,
Athene Chan

Note You need to log in before you can comment on or make changes to this bug.